Flash plugin not working 11.04

Asked by Mike Ashley on 2012-04-23

Was running 10.04lts, Flash was working fine, then broke after an update. tried uninstalling, reinstalling, etc, no luck. upgraded to 11.10 ran add ons in firefox added flash aid, and ran appropriate terminal commands. same problem.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu adobe-flashplugin Edit question
Assignee:
No assignee Edit question
Last query:
2012-04-24
Last reply:
2012-06-09

Can you give the output of:

lsb_release -a; uname -a; dpkg -l | egrep 'flash|gnash|swf|spark'

Thanks

Mike Ashley (mikerashley) said : #2

Thank you so very much for your response, I have been working on this for days!

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 11.10
Release: 11.10
Codename: oneiric
Linux mike-desktop 3.0.0-17-generic #30-Ubuntu SMP Thu Mar 8 17:34:21 UTC 2012 i686 athlon i386 GNU/Linux
rc browser-plugin-gnash 0.8.10~git20110618-3ubuntu1 GNU Shockwave Flash (SWF) player - Plugin for Mozilla and derivatives
ii flashplugin-installer 11.2.202.233ubuntu0.11.10.3 Adobe Flash Player plugin installer
rc gnash 0.8.10~git20110618-3ubuntu1 GNU Shockwave Flash (SWF) player
rc gnash-common 0.8.10~git20110618-3ubuntu1 GNU Shockwave Flash (SWF) player - Common files/libraries
mike@mike-desktop:~$

sudo dpkg -P browser-plugin-gnash gnash gnash-common

sudo apt-get --purge remove flashplugin-installer

sudo apt-get --purge autoremove

sudo apt-get install adobe-flashplugin

Mike Ashley (mikerashley) said : #4

I followed your instructions, and still have the same issue. when I go to hulu, i just get a black screen. When I try to login to my office computer using logmein.com I just get a black screen. When I go to youtube, audio and video will play in small screen version only, if I go to large screen, audio is ok, but video is very choppy. Any other suggestios?

Mike Ashley (mikerashley) said : #5

here is the ouput again

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 11.10
Release: 11.10
Codename: oneiric
Linux mike-desktop 3.0.0-17-generic #30-Ubuntu SMP Thu Mar 8 17:34:21 UTC 2012 i686 athlon i386 GNU/Linux
ii adobe-flash-properties-gtk 11.2.202.233-0oneiric1 GTK+ control panel for Adobe Flash Player plugin version 11
ii adobe-flashplugin 11.2.202.233-0oneiric1 Adobe Flash Player plugin version 1

Larry Abee (larryabee) said : #6

'sudo apt-get install --reinstall flashplugin-nonfree'

Mike Ashley (mikerashley) said : #7

The output of that command is -

Reading package lists... Done
Building dependency tree
Reading state information... Done
Package flashplugin-nonfree is a virtual package provided by:
  adobe-flashplugin 11.2.202.233-0oneiric1
  flashplugin-installer 11.2.202.233ubuntu0.11.10.3
You should explicitly select one to install.

E: Package 'flashplugin-nonfree' has no installation candidate

Still experiencing the same issues

Lothsahn (lothsahn) said : #8

I attempted to install flashaid, but it didn't fix the problem. Flashaid just attempted to reinstall the same broken 11.2.202.233 version of the plugin.

I finally resolved the problem by manually installing the adobe-flashplugin_11.1.102.62-0lucid1_i386.deb package.

Hopefully this can get fixed without having to downgrade the flash plugin.

Can you help with this problem?

Provide an answer of your own, or ask Mike Ashley for more information if necessary.

To post a message you must log in.